Last Comment Bug 683216 - Intermittent test_webgl_conformance_test_suite.html | Test failed, "gl.getExtension("OES_texture_float").myProperty should be 2 (of type number). Was undefined (of type undefined)." (URL: conformance/oes-texture-float.html)
: Intermittent test_webgl_conformance_test_suite.html | Test failed, "gl.getExt...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: mozilla9
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 630672
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-08-30 10:53 PDT by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
disable the uniqueObjectTest (2.08 KB, patch)
2011-08-30 13:00 PDT, Benoit Jacob [:bjacob] (mostly away)
jmuizelaar: review+
Details | Diff | Splinter Review
don't ignore this test on linux (1.79 KB, patch)
2011-09-01 14:57 PDT, Benoit Jacob [:bjacob] (mostly away)
jmuizelaar: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor) 2011-08-30 10:53:34 PDT
Apparently a TI regression: I saw a couple of these on Jaegermonkey, and this instance is from the merge to mozilla-central.

http://tbpl.allizom.org/php/getParsedLog.php?id=6186291
Rev3 WINNT 5.1 mozilla-central opt test mochitests-1/5 on 2011-08-30 00:46:13 PDT

WebGL mochitest: starting page conformance/oes-texture-float.html
43704 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "gl.getExtension("OES_texture_float").myProperty should be 2 (of type number). Was undefined (of type undefined)." (URL: conformance/oes-texture-float.html)
WebGL test error: test page failure: conformance/oes-texture-float.html
Comment 1 Phil Ringnalda (:philor) 2011-08-30 10:56:28 PDT
http://tbpl.allizom.org/php/getParsedLog.php?id=6183059 and http://tbpl.allizom.org/php/getParsedLog.php?id=6183260 for a couple of recent JM ones, suspiciously on the same build, though the third time I retriggered on that build it passed.
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2011-08-30 11:01:55 PDT
Oh, this. This is an actual bug in our code. Somehow it hadn't been causing trouble until now. Test patch coming as I don't have time to fix the actual bug now and it doesn't matter hugely.
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2011-08-30 11:03:15 PDT
...and it does make sense that it would be triggered by a JS engine change. See the discussion in bug 630672
Comment 4 Treeherder Robot 2011-08-30 11:38:00 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6194657
Rev3 WINNT 5.1 mozilla-central opt test mochitests-1/5 on 2011-08-30 11:11:19

43705 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "gl.getExtension("OES_texture_float").myProperty should be 2 (of type number). Was undefined (of type undefined)." (URL: conformance/oes-texture-float.html)
Comment 5 Benoit Jacob [:bjacob] (mostly away) 2011-08-30 13:00:21 PDT
Created attachment 556965 [details] [diff] [review]
disable the uniqueObjectTest

This test is valid, but flaky as it relies on GC happening at a particular time. A recent JS engine change making it actually happen caused it to actually catch a bug we've always had in the OES_texture_float impl, see the discussion on bug 630672, and I don't have time to fix that now.
Comment 6 Jeff Muizelaar [:jrmuizel] 2011-08-30 14:38:26 PDT
Comment on attachment 556965 [details] [diff] [review]
disable the uniqueObjectTest

Personally, I'd prefer if you included the explanation of the problem inline.
Comment 7 Benoit Jacob [:bjacob] (mostly away) 2011-08-30 15:02:41 PDT
Inbound: http://hg.mozilla.org/integration/mozilla-inbound/rev/7d9ed22b7b49
Comment 8 Treeherder Robot 2011-08-30 15:22:44 PDT
bill%wg9s.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1314727879.1314728613.6835.gz
Rev3 WINNT 5.1 mozilla-central opt test mochitests-1/5 on 2011/08/30 11:11:19

s: talos-r3-xp-044
43705 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "gl.getExtension("OES_texture_float").myProperty should be 2 (of type number). Was undefined (of type undefined)." (URL: conformance/oes-texture-float.html)
Comment 9 Treeherder Robot 2011-08-30 22:58:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6194657
Rev3 WINNT 5.1 mozilla-central opt test mochitests-1/5 on 2011-08-30 11:11:19

43705 ERROR TEST-UNEXPECTED-FAIL | /tests/content/canvas/test/webgl/test_webgl_conformance_test_suite.html | Test failed, "gl.getExtension("OES_texture_float").myProperty should be 2 (of type number). Was undefined (of type undefined)." (URL: conformance/oes-texture-float.html)
Comment 10 Marco Bonardo [::mak] 2011-08-31 02:11:22 PDT
http://hg.mozilla.org/mozilla-central/rev/7d9ed22b7b49

leaving open, this has just disabled part of the test afaict
Comment 11 Benoit Jacob [:bjacob] (mostly away) 2011-09-01 14:57:25 PDT
Created attachment 557657 [details] [diff] [review]
don't ignore this test on linux

This intermittent orange is really fixed by this patch. But we're still ignoring this test on linux as I first noticed it there and did improper analysis. This patch un-ignores this test.

Note You need to log in before you can comment on or make changes to this bug.